Loading...
Searching...
No Matches
SimplifyCorrelatedDifferences.h File Reference

Defines a simplification pass for handling differences of correlated expressions. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::simplify_correlated_differences (const Stmt &)
| Symbolic interval arithmetic can be extremely conservative in cases where we analyze the difference between two correlated expressions.
Expr | Halide::Internal::bound_correlated_differences (const Expr &expr)
| Refactor the expression to remove correlated differences or rewrite them in a form that is more amenable to bounds inference.

## Detailed Description

Defines a simplification pass for handling differences of correlated expressions.

Definition in file SimplifyCorrelatedDifferences.h.